%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define mplayerver	1.1.1
%define build_tainted	0

%if "%{distro_section}" == "tainted"
%global build_tainted	1
%endif

Name:		ogmrip
Version:	1.0.1
Release:	%mkrel 4
Summary:	DVD ripping and encoding graphical user interface
Group:		Video/Utilities
License:	GPLv2+
URL:		http://ogmrip.sourceforge.net/
Source0:	http://sourceforge.net/projects/ogmrip/files/ogmrip/1.0/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(enchant)
BuildRequires:	pkgconfig(enca)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(tesseract)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	desktop-file-utils

# Not technically build required, but configure checks for it...
BuildRequires:	mplayer
BuildRequires:	mencoder >= %{mplayerver}
BuildRequires:	ogmtools
BuildRequires:	vorbis-tools
BuildRequires:	theora-tools
BuildRequires:	mkvtoolnix
%if %{build_tainted}
BuildRequires:	lame-devel
BuildRequires:	gpac-devel
%endif

# Now, all the same as runtime requirements
Requires:	mplayer
Requires:	mencoder >= %{mplayerver}
Requires:	ogmtools
Requires:	vorbis-tools
Requires:	theora-tools
Requires:	mkvtoolnix
Requires:	tesseract
%if %{build_tainted}
Requires:	lame
Requires:	gpac
%endif

%description
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.

OGMRip:
* outputs ogm, avi or matroska files
* provides a lot of codecs (ogg vorbis, mp3, pcm, ac3, xvid, lavc)
* calculates video bitrate for a given filesize
* calculates cropping parameters and scaling factors
* uses maximum quality codec switches
* supports subtitles extraction
* rips contiguous chapters
* features a HIG-compliant GNOME 2 user interface

%if %{build_tainted}
This package is in Tainted repository as it depends on lame and gpac
also it incorporates MPEG-4, MP3, XVID and x264 technologies, covered
by software patents.
%endif

%package -n	%{libname}
Summary:	DVD ripping libraries from %{name}
Group:		System/Libraries

%description -n	%{libname}
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.
This contains the set of libraries.

%if %{build_tainted}
This package is in Tainted repository as it depends on lame and gpac
also it incorporates MPEG-4, MP3, XVID and x264 technologies, covered
by software patents.
%endif

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}name-devel = %{version}-%{release}

%description -n	%{develname}
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.
This contains the development parts of these libraries.

%if %{build_tainted}
This package is in Tainted repository as it depends on lame and gpac
also it incorporates MPEG-4, MP3, XVID and x264 technologies, covered
by software patents.
%endif

%prep
%setup -q

%build
%if %{build_tainted}
%configure2_5x \
		--disable-static \
		--disable-schemas-install \
		--with-ocr=tesseract
%else
%configure2_5x \
		--disable-x264-support \
		--disable-xvid-support \
		--disable-mp3-support \
		--disable-mp4-support \
		--disable-static \
		--disable-schemas-install \
		--with-ocr=tesseract
%endif
# Disable RPATH
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%makeinstall_std

desktop-file-install \
		--delete-original \
		--dir=%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README TODO
%doc %{_datadir}/gtk-doc/html/ogm*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/dvdcpy
%{_bindir}/avibox
%{_bindir}/subp2pgm
%{_bindir}/subp2png
%{_bindir}/subp2tiff
%{_bindir}/subptools
%{_bindir}/theoraenc
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/pkgconfig/ogm*.pc
%{_libdir}/lib*.so


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-4.mga6
+ Revision: 943135
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-3.mga5.tainted
+ Revision: 740154
- Second Mageia 5 Mass Rebuild

* Mon Jul 21 2014 daviddavid <daviddavid> 1.0.1-2.mga5.tainted
+ Revision: 655255
- remove manual ldconfig calls (unneeded on Mageia)
- added an uninstall of gconf_schemas file on %%preun section

* Tue Jul 15 2014 daviddavid <daviddavid> 1.0.1-1.mga5.tainted
+ Revision: 653107
- imported package ogmrip

